%define monodir %{_libdir}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	A full-featured IDE for Mono and Gtk sharp
Name: 		monodevelop
Version: 	1.0
Release: 	1
License: 	GPL
Group: 		Development/Tools
Source0: 	http://go-mono.com/sources/%{name}/%{name}-%{version}.tar.bz2
URL: 		http://www.monodevelop.com/
Patch0: 	monodevelop-libdir.patch
Patch1: 	monodevelop-config.patch
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	mono-core-devel, gtk-sharp, intltool, gettext, bytefx-data-mysql, mono-data-postgresql, mono-data-oracle, mono-data-sqlite, mono-data-sybase, gtk-sharp-gapi, shared-mime-info, pkgconfig, gtksourceview-sharp-devel, monodoc-devel, ikvm-devel boo-devel subversion-devel
BuildRequires: 	gecko-sharp-devel gtk-sharp-devel gnome-sharp-devel
BuildRequires: 	autoconf libtool automake mono-nunit-devel mono-nunit mono-addins-devel
Requires: 	mono-core, ikvm, boo, monodoc, gecko-sharp, gtksourceview-sharp bytefx-data-mysql mono-data-postgresql mono-data-sybase mono-data-oracle, mono-nunit, apr, gtk-sharp-gapi, gnome-sharp, firefox > 1.99, xsp, subversion, mono-data-sqlite

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
This package provides MonoDevelop, a full-featured IDE for Mono
with syntax colouring, code completion, debugging, project 
management and support for C sharp, Visual Basic.NET, Java, Boo,
Nemerle and MSIL.

%package devel
Summary: 	Development files for monodevelop
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release} pkgconfig
 
%description devel
Development files for monodevelop

%prep
%setup -q 
#%patch0 -p1 -b .orig
autoreconf -f -i -s
#%patch1 -p1 -b .orig

%build
%configure --enable-boo --enable-java --enable-nemerle --enable-versioncontrol 
make
# no smp flags as it falls over during the build (race condition)

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}
#desktop-file-install --vendor fedora \
#        --dir %{buildroot}%{_datadir}/applications \
#        --add-category X-Fedora \
#        --delete-original \
#        %{buildroot}%{_datadir}/applications/monodevelop.desktop

%{__rm} -f %{buildroot}/usr/share/mime/globs
%{__rm} -f %{buildroot}/usr/share/mime/magic
%{__rm} -f %{buildroot}/usr/share/mime/mime.cache

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%files -f %{name}.lang
%defattr (-,root,root,-)
%{_bindir}/mdtool
%{_bindir}/monodevelop
%doc AUTHORS COPYING ChangeLog README
%{monodir}/monodevelop/
%exclude %{_datadir}/mime/XMLnamespaces
%exclude %{_datadir}/mime/aliases
#%{_datadir}/mime/globs
#%{_datadir}/mime/magic
#%{_datadir}/mime/mime.cache
%{_datadir}/mime/packages/monodevelop.xml
%{_datadir}/mime/application/*.xml
%exclude %{_datadir}/mime/subclasses
%{_datadir}/mime/text/x-*.xml
%{_datadir}/applications/monodevelop.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/man/man1/mdtool.1.gz
%{_datadir}/man/man1/monodevelop.1.gz

%files devel
%defattr(-,root,root,-)
%{monodir}/pkgconfig/monodevelop.pc
%{monodir}/pkgconfig/monodevelop-core-addins.pc

%clean
%{__rm} -rf %{buildroot}

%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-1
- version update
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 0.17-2
- removed mime cache files from package
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.17-1
- Initial release
